Name:          terracotta-management
Version:       2.3.0
Release:       1%{?dist}
Summary:       Terracotta Management
License:       ASL 2.0
URL:           https://github.com/Terracotta-OSS/terracotta-management/
Source0:       https://github.com/Terracotta-OSS/terracotta-management/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: /usr/bin/asciidoc

BuildArch:     noarch

%description
A set of Java modules for management and monitoring,
common to several Terracotta products.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package model
Summary:       Terracotta Management :: Model

%description model
Terracotta Management :: Model.

%package registry
Summary:       Terracotta Management :: Registry

%description registry
Terracotta Management :: Registry.

%prep
%setup -q -n %{name}-%{version}

%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

%build

%mvn_build -s

asciidoc -n -b html5 -a toc2 -a toclevels=3 -o README.html README.adoc

%install
%mvn_install

%files -f .mfiles-%{name}
%license LICENSE

%files model -f .mfiles-management-model
%doc README.html
%license management-model/LICENSE

%files registry -f .mfiles-management-registry
%license management-registry/LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Mon May 09 2016 gil cattaneo <puntogil@libero.it> 2.3.0-1
- initial rpm
